Skip to content

# Interface: PageParamInit<V>

Renderer.Navigation.PageParamInit

## Type parameters

Name | Type
--- | ---
`V` | `V` = `any`

## Table of contents

### Properties

- defaultValue
- name
- prefix

### Methods

- parse
- stringify

## Properties

### defaultValue

• `Optional` defaultValue: `V`

### name

• name: `string`

### prefix

• `Optional` prefix: `string`

## Methods

### parse

▸ `Optional` parse(`value`): `V`

#### Parameters

Name | Type
--- | ---
`value` | `string` | `string`[]

#### Returns

`V`

### stringify

▸ `Optional` stringify(`value`): `string` | `string`[]

#### Parameters

Name | Type
--- | ---
`value` | `V`

#### Returns

`string` | `string`[]